=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Paul Cager <paul-debian@home.paulcager.org>, Torsten Werner <twerner@debian.org>,
- Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>,
- Niels Thykier <niels@thykier.net>
+Uploaders: Torsten Werner <twerner@debian.org>,
+ Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>,
+ Damien Raude-Morvan <drazzib@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: default-jdk, ant-optional, debhelper (>= 7)
 Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
 Standards-Version: 3.8.4
@@ -26,7 +26,7 @@
 
 Package: tomcat6
 Architecture: all
-Depends: tomcat6-common (>= ${source:Version}),
+Depends: tomcat6-common (>= ${source:Version}), ucf,
 	adduser, ${misc:Depends}
 Recommends: authbind
 Suggests: tomcat6-docs (>= ${source:Version}),
@@ -63,11 +63,10 @@
 
 Package: libtomcat6-java
 Architecture: all
-Depends: default-jre-headless | java6-runtime-headless,
-	libecj-java,
-	libcommons-dbcp-java,
-	libcommons-pool-java,
-	libservlet2.5-java (>= ${source:Version}), ${misc:Depends}
+Depends: libecj-java,
+         libcommons-dbcp-java,
+         libcommons-pool-java,
+         libservlet2.5-java (>= ${source:Version}), ${misc:Depends}
 Suggests: tomcat6 (>= ${source:Version})
 Conflicts: tomcat6-common (<< 6.0.20-5)
 Description: Servlet and JSP engine -- core libraries
@@ -80,8 +79,7 @@
 
 Package: libservlet2.5-java
 Architecture: all
-Depends: default-jre-headless | java2-runtime-headless |
-         java5-runtime-headless | java6-runtime-headless, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Servlet 2.5 and JSP 2.1 Java API classes
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
