=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,7 @@
 	dh_installman -ptomcat6-user debian/tomcat6-instance-create.1
 	dh_installexamples
 	dh_installinit --error-handler=true -- defaults 92 08
+	dh_installdebconf
 	dh_installcron
 	mkdir -p debian/poms
 	cp res/maven/*.pom debian/poms
