=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BLDLIB := output/build/lib
 BLDBIN := output/build/bin
 DEB_JARS_BASE := /usr/share/java
-DEB_JARS := ant ant-launcher ant-trax
+DEB_JARS := ant ant-launcher ant-trax ant-nodeps
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS); do \
 	if [ -f "$$jar" ]; then echo -n "$${jar}:"; fi; \
 	if [ -f "$$jar".jar ]; then echo -n "$${jar}.jar:"; fi; \
@@ -20,6 +20,7 @@
 T_VER := $(shell dpkg-parsechangelog | egrep '^Version:' \
 	| cut -f 2 -d ' ' | cut -f 2 -d ' '|sed 's/-[^-]*$$//')
 T_JARS := tomcat-i18n-fr tomcat-i18n-es tomcat-i18n-ja catalina-ant
+T_EXTRAS_JARS := catalina-jmx-remote
 T_MAVENIZED_JARS := jasper-el annotations-api jasper catalina-ha catalina
 T_VER_MAJOR := $(echo $(T_VER) | cut -d'.' -f1)
 T_VER_MINOR := $(echo $(T_VER) | cut -d'.' -f2)
@@ -49,6 +50,7 @@
 build-stamp:
 	dh_testdir
 	$(ANT_INVOKE) deploy-webapps
+	$(ANT_INVOKE) -buildfile extras.xml jmx-remote
 	javadoc -subpackages "javax.servlet" -d "output/api" \
 		-sourcepath "java" -author -version -breakiterator \
 		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
@@ -68,6 +70,7 @@
 	dh_testroot
 	dh_prep 
 	dh_installdirs
+	cp debian/logrotate debian/tomcat6/etc/logrotate.d/tomcat6
 
 binary-indep: build install
 	dh_testdir
@@ -101,6 +104,14 @@
 			usr/share/java/$$i.jar && \
 		dh_link -ptomcat6-common usr/share/java/$$i-$(T_VER).jar \
 			usr/share/tomcat6/lib/$$i.jar; done
+	for i in $(T_EXTRAS_JARS); do \
+		mv output/extras/$$i.jar output/extras/$$i-$(T_VER).jar && \
+		dh_install -plibtomcat6-java \
+			output/extras/$$i-$(T_VER).jar usr/share/java && \
+		dh_link -plibtomcat6-java usr/share/java/$$i-$(T_VER).jar \
+			usr/share/java/$$i.jar && \
+		dh_link -ptomcat6-extras usr/share/java/$$i-$(T_VER).jar \
+			usr/share/tomcat6/lib/$$i.jar; done
 	dh_install --exclude=.bat --exclude=Thumbs.db
 	dh_link
 	mh_installpoms -plibservlet2.5-java
