=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
  http://svn.apache.org/repos/asf/tomcat/tc6.0.x/tags/ TOMCAT_([0-9_]*[02468])/ debian debian/orig-tar.sh
