## tomcat6 6.0.33

=== debian/changelog ===
tomcat6 (6.0.33-1) unstable; urgency=low

  * Team upload.
  * New upstream release.  
  * Remove the following patches (included upstream):
    - 0011-623242.patch
    - 0012-CVE-2011-2204.patch
    - 0015-CVE-2011-2526.patch
    - 0014-CVE-2011-1184.patch
  * Add patch for multi-instance startup.  CATALINA_HOME no longer
    depends on the instance $NAME.  JVM_TMP is now $NAME-specific.
    - Thank you to Julien Wajsberg. (Closes: #644365)
  * Add dependency on JRE to tomcat6-common (Closes: #644340)
  * Modify init script to look for JVM in /usr/lib/jvm/default-java

 -- tony mancill <tmancill@debian.org>  Mon, 28 Nov 2011 21:28:52 -0800

tomcat6 (6.0.32-7) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Add "unset LC_ALL" to /etc/defaults/tomcat6 to prevent user 
    environment settings from leaking into the servlet container.
    - Thank you to Nicolas Pichon.  (Closes: #645221)
  * Apply patch for CVE-2011-1184 and CVE-2011-2526.
    - Thank you to Marc Deslauriers.  (Closes: #648038)

  [ Niels Thykier ]
  * Added build-arch and build-indep targets in d/rules.

 -- tony mancill <tmancill@debian.org>  Tue, 08 Nov 2011 10:42:32 -0800

tomcat6 (6.0.32-6) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Update Korean debconf translation.  (Closes: #630950, 631482)
    Thanks to si-cheol Ko.
  * Add Dutch debconf translation.  (Closes: #637507)
    Thanks to Jeroen Schot.

  [ Niels Thykier ]
  * Removed myself from uploaders.

  [ James Page ]
  * Added patch for CVE-2011-3190 (LP: #843701). 

 -- tony mancill <tmancill@debian.org>  Sat, 17 Sep 2011 09:48:42 -0700
