=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: tomcat6
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
  Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>,
- Damien Raude-Morvan <drazzib@debian.org>, Niels Thykier <niels@thykier.net>
-Build-Depends: default-jdk, ant-optional, debhelper (>= 7)
+ Damien Raude-Morvan <drazzib@debian.org>
+Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
 Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://tomcat.apache.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/tomcat6/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/tomcat6/
 
 Package: tomcat6-common
 Architecture: all
-Depends: libtomcat6-java (>= ${source:Version}), ${misc:Depends}
+Depends: libtomcat6-java (>= ${source:Version}), ${misc:Depends},
+ default-jre-headless | java-5-runtime | java-6-runtime
 Description: Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -32,7 +32,8 @@
 Suggests: tomcat6-docs (>= ${source:Version}),
 	tomcat6-admin (>= ${source:Version}),
 	tomcat6-examples (>= ${source:Version}),
-	tomcat6-user (>= ${source:Version})
+	tomcat6-user (>= ${source:Version}),
+	libtcnative-1
 Description: Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -129,3 +130,13 @@
  .
  This package contains the online documentation web application.
 
+Package: tomcat6-extras
+Architecture: all
+Depends: tomcat6-common (>= ${source:Version}), ${misc:Depends}
+Description: Servlet and JSP engine -- additional components
+ Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
+ specifications from Sun Microsystems, and provides a "pure Java" HTTP web
+ server environment for Java code to run.
+ .
+ This package contains additional ("extra") component libraries.
+ (Currently only catalina-jmx-remote.jar.)
