## tomcat6 6.0.35

=== debian/changelog ===
tomcat6 (6.0.35-1+squeeze4) oldstable-security; urgency=low

  * Correct target distribution

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 19 Jul 2013 17:29:35 +0200

tomcat6 (6.0.35-1+squeeze3) stable-security; urgency=low

  * CVE-2012-2733, CVE-2012-3544, CVE-2012-3546, CVE-2012-4431
    CVE-2012-4534, CVE-2012-5885, CVE-2012-5886, CVE-2012-5887
    CVE-2013-2067

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 14 Jul 2013 18:49:06 +0200

tomcat6 (6.0.35-1+squeeze2) stable-security; urgency=high

  * Upload to stable security for CVE-2011-4858, among others.
  * Adjust d/control to more closely match squeeze:
    - remove tomcat6-extras binary package (would be NEW in squeeze)
    - remove JRE from tomcat6-common Depends
  * Revert multi-arch patch in /etc/init.d/tomcat6.

 -- tony mancill <tmancill@debian.org>  Tue, 31 Jan 2012 07:31:33 -0800

tomcat6 (6.0.35-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * New upstream release.
  * Add myself to Uploaders.
  * Remove 0013-CVE-2011-3190.patch since it was included upstream.
  * Add mh_clean call in clean target.
  * Fix error in debian/rules that caused tomcat to report no version.
    Thanks to Jorge Barreiro for the patch. (Closes: #650656).

  [ tony mancill ]
  * Update Vcs-* fields in debian/control for switch to git.
  * Update to run with openjdk-7 and openjdk-6 when not default-jdk is
    not present. (Closes: #651448)
  * Allow java?-runtime-headless to satisfy Depends.
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Mon, 12 Dec 2011 22:46:36 -0800
