=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Torsten Werner <twerner@debian.org>,
- Ludovic Claude <ludovic.claude@laposte.net>, Michael Koch <konqueror@gmx.de>,
- Damien Raude-Morvan <drazzib@debian.org>
+ Ludovic Claude <ludovic.claude@laposte.net>,
+ Damien Raude-Morvan <drazzib@debian.org>,
+ Miguel Landaeta <miguel@miguel.cc>,
+ tony mancill <tmancill@debian.org>
 Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
 Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java
 Standards-Version: 3.9.2
 Homepage: http://tomcat.apache.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/tomcat6/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/tomcat6/
+Vcs-Git: git://git.debian.org/git/pkg-java/tomcat6.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat6.git
 
 Package: tomcat6-common
 Architecture: all
-Depends: libtomcat6-java (>= ${source:Version}), ${misc:Depends},
- default-jre-headless | java-5-runtime | java-6-runtime
+Depends: libtomcat6-java (>= ${source:Version}), ${misc:Depends}
 Description: Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -27,13 +28,13 @@
 Package: tomcat6
 Architecture: all
 Depends: tomcat6-common (>= ${source:Version}), ucf,
-	adduser, ${misc:Depends}
+ adduser, ${misc:Depends}
 Recommends: authbind
 Suggests: tomcat6-docs (>= ${source:Version}),
-	tomcat6-admin (>= ${source:Version}),
-	tomcat6-examples (>= ${source:Version}),
-	tomcat6-user (>= ${source:Version}),
-	libtcnative-1
+ tomcat6-admin (>= ${source:Version}),
+ tomcat6-examples (>= ${source:Version}),
+ tomcat6-user (>= ${source:Version}),
+ libtcnative-1
 Description: Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -50,9 +51,9 @@
 Architecture: all
 Depends: tomcat6-common (>= ${source:Version}), netcat, ${misc:Depends}
 Suggests: tomcat6-docs (>= ${source:Version}),
-	tomcat6-admin (>= ${source:Version}),
-	tomcat6-examples (>= ${source:Version}),
-	tomcat6 (>= ${source:Version})
+ tomcat6-admin (>= ${source:Version}),
+ tomcat6-examples (>= ${source:Version}),
+ tomcat6 (>= ${source:Version})
 Description: Servlet and JSP engine -- tools to create user instances
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -129,14 +130,3 @@
  server environment for Java code to run.
  .
  This package contains the online documentation web application.
-
-Package: tomcat6-extras
-Architecture: all
-Depends: tomcat6-common (>= ${source:Version}), ${misc:Depends}
-Description: Servlet and JSP engine -- additional components
- Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
- specifications from Sun Microsystems, and provides a "pure Java" HTTP web
- server environment for Java code to run.
- .
- This package contains additional ("extra") component libraries.
- (Currently only catalina-jmx-remote.jar.)
