=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 T_JARS := tomcat-i18n-fr tomcat-i18n-es tomcat-i18n-ja catalina-ant
 T_EXTRAS_JARS := catalina-jmx-remote
 T_MAVENIZED_JARS := jasper-el annotations-api jasper catalina-ha catalina
-T_VER_MAJOR := $(echo $(T_VER) | cut -d'.' -f1)
-T_VER_MINOR := $(echo $(T_VER) | cut -d'.' -f2)
-T_VER_BUILD := $(echo $(T_VER) | cut -d'.' -f3)
+T_VER_MAJOR := $(shell echo $(T_VER) | cut -d'.' -f1)
+T_VER_MINOR := $(shell echo $(T_VER) | cut -d'.' -f2)
+T_VER_BUILD := $(shell echo $(T_VER) | cut -d'.' -f3)
 
 ANT_ARGS := -Dcompile.debug=true \
 	-Dant.build.javac.source=1.5 \
@@ -66,6 +66,7 @@
 	rm -rf "output/"
 	rm -f build-stamp
 	dh_clean
+	mh_clean
 
 install: build
 	dh_testdir
